tclap: Arg.h File Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Arg.h File Reference

`#include <string>`
`#include <vector>`
`#include <list>`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdio>`
`#include <sstream>`
`#include <tclap/ArgException.h>`
`#include <tclap/Visitor.h>`
`#include <tclap/CmdLineInterface.h>`
`#include <tclap/ArgTraits.h>`
`#include <tclap/StandardTraits.h>`

Include dependency graph for Arg.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | TCLAP
## Classes
class | TCLAP::Arg
| A virtual base class that defines the essential data for all arguments. More...
## Defines
#define | HAVE_SSTREAM
## Typedefs
typedef std::istringstream | istringstream
typedef std::list< Arg * >::iterator | ArgListIterator
| Typedef of an Arg list iterator.
typedef std::vector< Arg * >::iterator | ArgVectorIterator
| Typedef of an Arg vector iterator.
typedef std::list< Visitor * >::iterator | VisitorListIterator
| Typedef of a Visitor list iterator.
## Functions
template<typename T>
void | ExtractValue (T &destVal, const std::string &strVal, ValueLike vl)
template<typename T>
void | ExtractValue (T &destVal, const std::string &strVal, StringLike sl)

## Define Documentation

#define HAVE_SSTREAM

| Definition at line 31 of file Arg.h.

## Typedef Documentation

typedef std::list<Arg*>::iterator TCLAP::ArgListIterator

| Typedef of an Arg list iterator. Definition at line 376 of file Arg.h. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), TCLAP::CmdLine::add(), TCLAP::CmdLine::missingArgsException(), TCLAP::CmdLine::parse(), TCLAP::CmdLine::reset(), TCLAP::ZshCompletionOutput::usage(), and TCLAP::DocBookOutput::usage().

typedef std::vector<Arg*>::iterator TCLAP::ArgVectorIterator

| Typedef of an Arg vector iterator. Definition at line 381 of file Arg.h. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), TCLAP::XorHandler::check(), TCLAP::XorHandler::contains(), TCLAP::ZshCompletionOutput::getMutexList(), TCLAP::DocBookOutput::usage(), and TCLAP::CmdLine::xorAdd().

typedef std::istringstream istringstream

| Definition at line 43 of file Arg.h.

typedef std::list<Visitor*>::iterator TCLAP::VisitorListIterator

| Typedef of a Visitor list iterator. Definition at line 386 of file Arg.h.

## Function Documentation

template<typename T>
void ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | StringLike | sl
| ) |

| Definition at line 432 of file Arg.h. References TCLAP::SetString().

Here is the call graph for this function:

template<typename T>
void ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | ValueLike | vl
| ) |

| Definition at line 395 of file Arg.h. Referenced by TCLAP::ValueArg< T >::_extractValue(), and TCLAP::MultiArg< T >::_extractValue().